perl-Dist-Zilla-Plugin-MinimumPerl-0.20.0-5-omv2015.0.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-MinimumPerl - Detects the minimum version of Perl required for your dist

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Contrib i586
Package name perl-Dist-Zilla-Plugin-MinimumPerl
Package version 0.20.0
Package release 5-omv2015.0
Package architecture noarch
Package type rpm
Installed size 28.52 KB
Download size 16.22 KB
Official Mirror abf-downloads.openmandriva.org
This plugin uses the Perl::MinimumVersion manpage to automatically find the
minimum version of Perl required for your dist and adds it to the prereqs.
You can specify a version of Perl to override the scanning logic.
[MinimumPerl]
This plugin accepts the following options:

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-MinimumPerl-0.20.0-5-omv2015.0.noarch.rpm 0.20.0 noarch OpenMandriva Contrib
perl-Dist-Zilla-Plugin-MinimumPerl - - -

Requires

Name Value
perl(Dist::Zilla::Role::PrereqSource) >= 2.101.170
perl(Moose) >= 1.10.0
perl(Perl::MinimumVersion) >= 1.240.0
perl(abi) >= 5.20.1

Provides

Name Value
perl(Dist::Zilla::Plugin::MinimumPerl) == 0.20.0
perl-Dist-Zilla-Plugin-MinimumPerl == 0.20.0-5:2015.0

Download

Type URL
Binary Package perl-Dist-Zilla-Plugin-MinimumPerl-0.20.0-5-omv2015.0.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-MinimumPerl-0.20.0-5.src.rpm

Install Howto

  1. Enable OpenMandriva Contrib repository on Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-MinimumPerl rpm package:
    # urpmi perl-Dist-Zilla-Plugin-MinimumPerl

Files

Path
/usr/lib/perl5/vendor_perl/5.20.1/Dist/
/usr/lib/perl5/vendor_perl/5.20.1/Dist/Zilla/
/usr/lib/perl5/vendor_perl/5.20.1/Dist/Zilla/Plugin/MinimumPerl.pm
/usr/share/doc/perl-Dist-Zilla-Plugin-MinimumPerl/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-MinimumPerl/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-MinimumPerl/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-MinimumPerl/README
/usr/share/man/man3/Dist::Zilla::Plugin::MinimumPerl.3pm.xz

See Also

Package Description
perl-Dist-Zilla-Plugin-MinimumVersionTests-1.101.421-5-omv2015.0.noarch.rpm Release tests for minimum required versions
perl-Dist-Zilla-Plugin-ModuleBuild-XSOrPP-0.20.0-5-omv2015.0.noarch.rpm Add a --pp option to your Build.PL to force an XS-less build
perl-Dist-Zilla-Plugin-ModuleInstall-0.20.0.0-3-omv2015.0.noarch.rpm Build Module::Install based Distributions with Dist::Zilla
perl-Dist-Zilla-Plugin-NoAutomatedTesting-0.80.0-3-omv2015.0.noarch.rpm Avoid running under CPAN Testers
perl-Dist-Zilla-Plugin-NoTabsTests-0.10.0-5-omv2015.0.noarch.rpm Release tests making sure hard tabs aren't used
perl-Dist-Zilla-Plugin-OurPkgVersion-0.1.2-5-omv2015.0.noarch.rpm No line insertion and does Package version with our
perl-Dist-Zilla-Plugin-PerlTidy-0.90.0-5-omv2015.0.noarch.rpm Perltidy your dist
perl-Dist-Zilla-Plugin-PodLoom-3.0.0-5-omv2015.0.noarch.rpm Process module documentation through Pod::Loom
perl-Dist-Zilla-Plugin-PodPurler-0.93.401-3-omv2015.0.noarch.rpm Like PodWeaver, but more erratic and amateurish
perl-Dist-Zilla-Plugin-PodSpellingTests-1.101.420-5-omv2015.0.noarch.rpm Release tests for POD spelling
perl-Dist-Zilla-Plugin-PodWeaver-4.5.0-3-omv2015.0.noarch.rpm Do horrible things to POD, producing better docs
perl-Dist-Zilla-Plugin-PortabilityTests-1.101.420-5-omv2015.0.noarch.rpm Release tests for portability
perl-Dist-Zilla-Plugin-Prepender-1.112.280-3-omv2015.0.noarch.rpm Prepend lines at the top of your perl files
perl-Dist-Zilla-Plugin-ProgCriticTests-1.111.750-3-omv2015.0.noarch.rpm Gradually enforce coding standards with Dist::Zilla
perl-Dist-Zilla-Plugin-PurePerlTests-0.30.0-3-omv2015.0.noarch.rpm Run all your tests twice, once with XS code and once with pure Perl
Advertisement
Advertisement